Skip to main content
  • Place orders quickly and easily
  • View orders and track your shipping status
  • Enjoy members-only rewards and discounts
  • Create and access a list of your products
  • Manage your Dell EMC sites, products, and product-level contacts using Company Administration.

Article Number: 000128920


DSA-2020-058: Dell/Alienware Digital Delivery Security Update for an Incorrect Default Permissions Vulnerability

Summary: Dell Digital Delivery versions prior to 3.5.2015 contain an incorrect default permissions vulnerability.

Article Content


Impact

High

Overview

-

Details

  • Incorrect Default Permissions Vulnerability
CVE-2020-5342

Dell Digital Delivery versions prior to 3.5.2015 contain an incorrect default permissions vulnerability.  A locally authenticated low-privileged malicious user could exploit this vulnerability to run an arbitrary executable with administrative privileges on the affected system.

7.8 CVSS:3.1/AV:L/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:H
  • Incorrect Default Permissions Vulnerability
CVE-2020-5342

Dell Digital Delivery versions prior to 3.5.2015 contain an incorrect default permissions vulnerability.  A locally authenticated low-privileged malicious user could exploit this vulnerability to run an arbitrary executable with administrative privileges on the affected system.

7.8 CVSS:3.1/AV:L/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:H

Dell Technologies recommends all customers consider both the CVSS base score and any relevant temporal and environmental scores that may impact the potential severity associated with a particular security vulnerability.

Affected Products and Remediation

Affected products:
Dell Digital Delivery versions prior to 3.5.2015

Alienware Digital Delivery versions prior to 3.5.2015

Remediation:

The following Dell/Alienware Digital Delivery releases contain a resolution to these vulnerabilities:

  • Dell Digital Delivery versions 3.5.2015 and later
  • Alienware Digital Delivery versions 3.5.2015 and later

 

Dell recommends all customers upgrade at the earliest opportunity.

 

Please visit the Dell Support Drivers and Downloads site for updates on the applicable products.

Affected products:
Dell Digital Delivery versions prior to 3.5.2015

Alienware Digital Delivery versions prior to 3.5.2015

Remediation:

The following Dell/Alienware Digital Delivery releases contain a resolution to these vulnerabilities:

  • Dell Digital Delivery versions 3.5.2015 and later
  • Alienware Digital Delivery versions 3.5.2015 and later

 

Dell recommends all customers upgrade at the earliest opportunity.

 

Please visit the Dell Support Drivers and Downloads site for updates on the applicable products.

Workarounds and Mitigations

None

Acknowledgements

Dell would like to thank Nuttakorn Tungpoonsup of Secure D Center Research Team, Secure D Center Co.,Ltd., Ammarit Thongthua of Secure D Center Research Team, Secure D Center Co.,Ltd., and Sittikorn Sangrattanapitak for reporting this vulnerability.

Related Information

Dell Security Advisories and Notices
Dell Vulnerability Response Policy
CVSS Scoring Guide


Article Properties


Affected Product

Alienware Update

Last Published Date

10 Nov 2021

Version

5

Article Type

Dell Security Advisory